package com.gree.mall.manager.enums.material;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum WorkerStockFlagEnum implements BaseEnum {
    INIT("INIT","初始化"),
    TAKE("TAKE","已提货"),
    USED("USED","已使用"),
    REFUND("REFUND","退货"),
    REFUND_NEW("REFUND_NEW","返新件"),
    REFUND_OLD("REFUND_OLD","返旧件"),
    ;

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;
}
